#!/bin/zsh

d=${0:a:h}

source $d/src/tag.zsh
source $d/src/func.zsh

at-env
case $1 in
	version|v)
		at-version $2
		;;
	uri|u)
		at-uri $2
		;;
	did|d)
		at-did $2
		;;
	collection|c)
		at-collection $2 $3
		;;
	at-docs|docs)
		at-docs
		;;
	cid)
		at-cid $2 $3
		;;
	login|l)
		at-login $2 $3
		;;
	refresh|r)
		at-refresh
		;;
	session|s)
		at-session
		;;
	profile|pro)
		at-profile
		;;
	download-character-icon)
		source $d/ai/syui/game/character.zsh
		download_character_icon
		;;
	create-game-character)
		source $d/ai/syui/game/character.zsh
		create_game_character
		;;
	ai-create-user)
		source $d/ai/syui/game/character.zsh
		ai_create_user
		;;
	*)
		echo "${help[@]}"
		echo "${host[@]}"
		echo "${lexicon[@]}"
		echo "${github[@]}"
		echo "${tag[@]}"
		;;
esac
at-unset
